picard.cmdline

## Class CommandLineParser.OptionDefinitionByPrintOrderComparator

- java.lang.Object
- - picard.cmdline.CommandLineParser.OptionDefinitionByPrintOrderComparator

- All Implemented Interfaces:
    Comparator<CommandLineParser.OptionDefinition>
  Enclosing class:
    CommandLineParser

      protected static class CommandLineParser.OptionDefinitionByPrintOrderComparator
      extends Object
      implements Comparator<CommandLineParser.OptionDefinition>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OptionDefinitionByPrintOrderComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(CommandLineParser.OptionDefinition o1, CommandLineParser.OptionDefinition o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### OptionDefinitionByPrintOrderComparator

          protected OptionDefinitionByPrintOrderComparator()

  - ### Method Detail

    - #### compare

          public int compare(CommandLineParser.OptionDefinition o1,
                             CommandLineParser.OptionDefinition o2)

      Specified by:
        `compare` in interface `Comparator<CommandLineParser.OptionDefinition>`